{
  "name": "lestoitsduval",
  "version": "0.1.0",
  "description": "Source code of lestoitsduval.fr",
  "scripts": {
    "start": "hugo server",
    "serve": "(cd public && python3 -m http.server 8080)",
    "staging": "rm -rf public && hugo -D --minify --environment staging && node themes/hugo-theme-lowtech/scripts/typo && DATE=`date +\"%Y0101\"` && find public -exec touch -d $DATE {} + && docker-compose -f docker-compose.yml -f docker-compose.staging.yml up -d --build --force-recreate",
    "prod": "rm -rf public && hugo --minify --environment production && node themes/hugo-theme-lowtech/scripts/typo && DATE=`date +\"%Y0101\"` && find public -exec touch -d $DATE {} + && docker-compose -f docker-compose.yml -f docker-compose.prod.yml up -d --build --force-recreate",
    "favicon": "convert content/lestoitsduval-icon.png -resize 32x32 -colors 16 \\( -clone 0 -resize 16x16 -extent 16x16 \\) \\( -clone 0 -resize 32x32 -extent 32x32 \\) -delete 0 static/favicon.ico",
    "svgo": "svgo */**.svg",
    "ftp-deploy": "lftp -u $LESTOITSDUVAL_FTP_USER,$LESTOITSDUVAL_FTP_PASSWORD $LESTOITSDUVAL_FTP_HOST -e 'mirror -e -R ./public /www ; quit'",
    "ftp-htaccess": "lftp -u $LESTOITSDUVAL_FTP_USER,$LESTOITSDUVAL_FTP_PASSWORD $LESTOITSDUVAL_FTP_HOST -e 'put ./.htaccess ; quit'",
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "Simon <simon@lamelio.fr>",
  "license": "GPL-3.0"
}
